Skip to content

Email approvals

Token-based approve and deny links sent to approvers by email.

GET/api/approvals/:token
POST/api/approvals/:token

Peek approval-link request summary ​

GET/api/approvals/:token

Render data for the confirmation page (no consume)

Authentication: none — the token in the request is the credential.

Path parameters

NameTypeNotes
tokenstring
bash
curl -X GET "https://shellius.example.com/api/approvals/{token}"

200 OK

json
{ "success": true, "data": { … } }

Approve/reject via email link ​

POST/api/approvals/:token

Apply the decision (consumes the token)

Authentication: none — the token in the request is the credential.

Path parameters

NameTypeNotes
tokenstring

Request body

NameTypeRequiredNotes
decisionstringYesOne of approve, reject.
reasonstringNoAt most 1000 characters. May be null.
bash
curl -X POST "https://shellius.example.com/api/approvals/{token}" \
  -H "Content-Type: application/json" \
  -d '{
    "decision": "approve"
  }'

200 OK

json
{ "success": true, "data": { … } }
Was this page helpful?No, tell us why